# Sale Invoice Blocking

This module extends the functionality of sales to allow you to block the creation of invoices from a sales order and give a reason.

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Configuration

To configure this module, you need to:

1. Go to ‘Sales > Configuration > Sales Orders > Invoicing block reasons’.
2. Create the different reasons that can lead to block the invoices of a sales order.

## Usage

To use this module, you need to:

1. Create a new sale order and provide a ‘Blocking for invoicing’.
2. When you try to create Regular Invoice if an invoicing blocking reason is set on the sale order. It will show blocking reasons.

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Camptocamp

### Contributors

- Damien Crier <damien.crier@camptocamp.com>
- Dhara Solanki <dhara.solanki@initos.com>

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/sale-workflow project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.